uuid: c60fbb43-6992-4a0a-bb08-5050fe788cc7
langcode: en
status: true
dependencies:
  config:
    - field.field.node.program.field_abstract
    - field.field.node.program.field_active
    - field.field.node.program.field_associated_programs
    - field.field.node.program.field_banner_image
    - field.field.node.program.field_contact_info
    - field.field.node.program.field_continuing_education_cat
    - field.field.node.program.field_courses
    - field.field.node.program.field_cred_type
    - field.field.node.program.field_degree_option
    - field.field.node.program.field_description
    - field.field.node.program.field_financial_aid_eligible
    - field.field.node.program.field_hide_register_button
    - field.field.node.program.field_keywords
    - field.field.node.program.field_learn_category
    - field.field.node.program.field_meta_tags
    - field.field.node.program.field_min_required_credits
    - field.field.node.program.field_min_required_inst
    - field.field.node.program.field_min_required_inst_gpa
    - field.field.node.program.field_online_completion
    - field.field.node.program.field_pathway
    - field.field.node.program.field_program_app_deadline
    - field.field.node.program.field_program_cost
    - field.field.node.program.field_program_department
    - field.field.node.program.field_program_id
    - field.field.node.program.field_program_image
    - field.field.node.program.field_program_length
    - field.field.node.program.field_program_printable_files
    - field.field.node.program.field_program_stats
    - field.field.node.program.field_program_type
    - field.field.node.program.field_program_video
    - field.field.node.program.field_rich_text
    - field.field.node.program.field_statistic
    - field.field.node.program.field_teaser_layout
    - field.field.node.program.field_total_credit_hours
    - node.type.program
  module:
    - content_moderation
    - entity_browser_entity_form
    - file
    - imce
    - inline_entity_form
    - metatag
    - paragraphs
    - path
    - text
    - video_embed_field
id: node.program.default
targetEntityType: node
bundle: program
mode: default
content:
  created:
    type: datetime_timestamp
    weight: 20
    region: content
    settings: {  }
    third_party_settings: {  }
  field_abstract:
    type: string_textarea
    weight: 8
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_active:
    type: boolean_checkbox
    weight: 2
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_associated_programs:
    type: entity_reference_autocomplete
    weight: 18
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 30
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_banner_image:
    type: inline_entity_form_complex
    weight: 1
    region: content
    settings:
      form_mode: default
      override_labels: false
      label_singular: ''
      label_plural: ''
      allow_new: true
      allow_existing: true
      match_operator: CONTAINS
      allow_duplicate: false
      collapsible: false
      collapsed: false
      revision: false
      removed_reference: optional
    third_party_settings:
      entity_browser_entity_form:
        entity_browser_id: banner_image_browser
  field_contact_info:
    type: text_textarea
    weight: 12
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_continuing_education_cat:
    type: entity_reference_autocomplete_tags
    weight: 34
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_courses:
    type: entity_reference_autocomplete
    weight: 29
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_cred_type:
    type: entity_reference_autocomplete
    weight: 35
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_degree_option:
    type: options_select
    weight: 14
    region: content
    settings: {  }
    third_party_settings: {  }
  field_description:
    type: string_textarea
    weight: 10
    region: content
    settings:
      rows: 5
      placeholder: ''
    third_party_settings: {  }
  field_financial_aid_eligible:
    type: boolean_checkbox
    weight: 31
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_hide_register_button:
    type: boolean_checkbox
    weight: 36
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_keywords:
    type: string_textfield
    weight: 9
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_learn_category:
    type: entity_reference_autocomplete_tags
    weight: 4
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_meta_tags:
    type: metatag_firehose
    weight: 12
    region: content
    settings:
      sidebar: true
      use_details: true
    third_party_settings: {  }
  field_min_required_credits:
    type: string_textfield
    weight: 22
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_min_required_inst:
    type: string_textfield
    weight: 23
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_min_required_inst_gpa:
    type: string_textfield
    weight: 24
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_online_completion:
    type: options_buttons
    weight: 32
    region: content
    settings: {  }
    third_party_settings: {  }
  field_pathway:
    type: options_select
    weight: 3
    region: content
    settings: {  }
    third_party_settings: {  }
  field_program_app_deadline:
    type: entity_reference_autocomplete
    weight: 33
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_program_cost:
    type: string_textfield
    weight: 17
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_program_department:
    type: entity_reference_autocomplete
    weight: 26
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  field_program_image:
    type: inline_entity_form_complex
    weight: 6
    region: content
    settings:
      form_mode: default
      override_labels: false
      label_singular: ''
      label_plural: ''
      allow_new: true
      allow_existing: true
      match_operator: CONTAINS
      allow_duplicate: false
      collapsible: false
      collapsed: false
      revision: false
      removed_reference: optional
    third_party_settings:
      entity_browser_entity_form:
        entity_browser_id: image_browser
  field_program_length:
    type: options_select
    weight: 13
    region: content
    settings: {  }
    third_party_settings: {  }
  field_program_printable_files:
    type: file_generic
    weight: 30
    region: content
    settings:
      progress_indicator: throbber
    third_party_settings:
      imce:
        enabled: true
  field_program_stats:
    type: paragraphs
    weight: 25
    region: content
    settings:
      title: 'Statistic with icon'
      title_plural: 'Statistics with icons'
      edit_mode: open
      closed_mode: summary
      autocollapse: none
      closed_mode_threshold: 0
      add_mode: dropdown
      form_display_mode: default
      default_paragraph_type: statistic_with_icon
      features:
        collapse_edit_all: collapse_edit_all
        duplicate: duplicate
    third_party_settings: {  }
  field_program_type:
    type: options_select
    weight: 16
    region: content
    settings: {  }
    third_party_settings: {  }
  field_program_video:
    type: video_embed_field_textfield
    weight: 7
    region: content
    settings: {  }
    third_party_settings: {  }
  field_rich_text:
    type: text_textarea
    weight: 11
    region: content
    settings:
      rows: 3
      placeholder: ''
    third_party_settings: {  }
  field_statistic:
    type: paragraphs
    weight: 19
    region: content
    settings:
      title: Statistic
      title_plural: Statistics
      edit_mode: open
      closed_mode: summary
      autocollapse: none
      closed_mode_threshold: 0
      add_mode: dropdown
      form_display_mode: default
      default_paragraph_type: statistic
      features:
        collapse_edit_all: collapse_edit_all
        duplicate: duplicate
    third_party_settings: {  }
  field_teaser_layout:
    type: options_select
    weight: 5
    region: content
    settings: {  }
    third_party_settings: {  }
  field_total_credit_hours:
    type: string_textfield
    weight: 15
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  moderation_state:
    type: moderation_state_default
    weight: 38
    region: content
    settings: {  }
    third_party_settings: {  }
  path:
    type: path
    weight: 21
    region: content
    settings: {  }
    third_party_settings: {  }
  status:
    type: boolean_checkbox
    weight: 27
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  title:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings: {  }
  uid:
    type: entity_reference_autocomplete
    weight: 28
    region: content
    settings:
      match_operator: CONTAINS
      match_limit: 10
      size: 60
      placeholder: ''
    third_party_settings: {  }
  url_redirects:
    weight: 37
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  field_program_id: true
  promote: true
  sticky: true
